<template>
  <AccordionFieldset label="Structures extérieures">
    <div class="fr-container--fluid">
      <div class="fr-grid-row fr-grid-row--gutters form-grid">
        <AtomSelect
          name="protection_measure"
          label="Mesures de protection"
          :options="withEmptyValue(PROTECTION_MEASURE_OPTIONS)"
          :model-value="beneficiary?.protection_measure || ''"
        />
        <AtomInput
          name="representative"
          label="Nom, prénom, coordonées du mandataire"
          :value="beneficiary?.representative || ''"
        />
        <AtomInput
          name="prescribing_organisation"
          label="Organisme prescripteur"
          :value="beneficiary?.prescribing_organisation || ''"
        />
        <AtomSelect
          name="orientation_type"
          label="Mode d'orientation"
          :options="withEmptyValue(ORIENTATION_TYPE_OPTIONS)"
          :model-value="beneficiary?.orientation_type || ''"
        />
        <AtomInput
          name="orientation_organisation"
          label="Organisme d'orientation"
          :value="beneficiary?.orientation_organisation || ''"
        />
        <AtomInput
          name="service_providers"
          label="Prestataires"
          placeholder="Repas à domicile, aide à domicile..."
          :value="beneficiary?.service_providers || ''"
        />
        <AtomInput
          name="involved_partners"
          label="Partenaires intervenants"
          :value="beneficiary?.involved_partners || ''"
        />
      </div>
    </div>
  </AccordionFieldset>
</template>

<script setup>
  import {
    PROTECTION_MEASURE_OPTIONS,
    ORIENTATION_TYPE_OPTIONS
  } from '~/utils/constants/beneficiary'
  import { withEmptyValue } from '~/utils'

  defineProps({
    beneficiary: { type: Object, default: null }
  })
</script>
